
/*==================================================================================================
 tests
==================================================================================================*/

	/*
	.scroll-bar{
		overflow-y:scroll;
	}
	*/

/*==================================================================================================
 Gestion des tailles et positions
==================================================================================================*/

	#TLC-zone-carto {
	  /*
	  important : il faut que ce container soit défini avec une position relative, pour que les objets
	  qui sont à l'intérieur de ce container (map et coord) puisse être placés de façon absolue, par rapport
	  à ce container plutôt que par rapport à l'écran du navigateur.
	  */
	  position: relative;
	  height : 25em;  /* taille de la carte*/
	  padding: 0px;
	  margin: 0px;
	}
	#TLC-map {
	  /* 
	  important: il faut que le container de map (c'est à dire #zone-carto) soit défini avec une position relative, pour que map puisse être placé de façon absolue par rapport à zone-carto.
	  Sinon, il serait placé de façon absolue par rapport à l'écran du navigateur.
	  */
	  position: absolute;
	  z-index: 1;
	  height: 100%;  /* NB: je ne sais pas pourquoi, mais la taille de la carte doit être définie dans le container de la carte, c'est à dire #TLC-zone-carto */
	  width : 100%;
	  top: 0px;
	  left: 0px;
	}
	#TLC-map-coord{
	  /* 
	  Il s'agit du champ permettant de changer de coordonnées. pour rentrer une autre adresse par exemple.
	  important: il faut que le container de coord (c'est à dire #zone-carto) soit défini avec une position relative, pour que coord puisse être placé de façon absolue par rapport à zone-carto.
	  Sinon, il serait placé de façon absolue par rapport à l'écran du navigateur.
	  NB: on utilise également le z-index pour que coord soit placé au-dessus de map;
	  */
	  position: absolute;
	  top: 10px;
	  left: 202px;
	  z-index: 2;
	}
	#TLC-map-adresse{
	  /* Version pour le champ de changement d'adresse sur la barre de navigation*/
	  /* ------------------------------------------------------------------------*/
	
	  /* version pour le champ de changement d'adresse sur la carte */
	  /* -----------------------------------------------------------*/
	  /* %%% voir si ça va bien sur tous types d'écrans*/
	  /*
	  position: relative;
	  width: 150px;  
	  */
	}
	#TLC-map-adresse-addon{
	  height:40px;
	}
	#TLC-icon-map-adresse-addon{
	  height:40px;
	}

	
	#info-content{  /* c'est l'info window*/
		/*width : 100%;*/
	}
	
	
/*==================================================================================================
 Alignements et marges
==================================================================================================*/

	/* Gestion des marges en haut et en bas */
	.sansMargesHautBas{
	  margin-top : 0px;
	  margin-bottom : 0px;
	}

	html, body {
	  margin: 0;
	  padding: 0;
	  padding-top : 28px;  /* pour l'emplacement de la barre de navigation */
	}
	#TLC-col-choix-aff{
	  padding: 0px;
	  margin: 0px;
	}

	.TLC-col-choix-filtre{
	  padding: 0px;
	  margin: 0px; 
	}

	.TLC-col-zone-carto{
	  padding: 0px;
	}

/*==================================================================================================
 Gestion des couleurs
==================================================================================================*/
	/* NB: pour l'instant, ça sert essentiellement à repérer facilement les différentes zones */

	/* pour tests */
	.coul-yellow  	{background-color : yellow; }
	.coul-red     		{background-color : red;    }
	.coul-blue    	{background-color : blue;   }
	.coul-green   	{background-color : green;  }
	.coul-orange  	{background-color : orange; }
	.coul-white   	{background-color : white;  }
	.coul-black   	{background-color : black;  }
	.coul-gris247   	{background-color : rgb(247, 247, 247);  }

	.tooltip > .tooltip-inner {
	  /*background-color: #f00;*/
	  background-color: #000;
	}


	#TLC-map-adresse{
	  /* Version pour le champ de changement d'adresse sur la barre de navigation*/
	  /* ------------------------------------------------------------------------*/
	
	  /* version pour le champ de changement d'adresse sur la carte */
	  /* -----------------------------------------------------------*/
	  /*
	  color: rgb(0, 0, 0);
	  background-color: rgb(255, 255, 255);
	  */
	}

	.TLC-coach-card-header{
	  background-color: #eee;
	}

	.TLC-coach-card-body{
	  background-color: white; /* #d7d580;*/
	}

	 
	 
	 .TLC-footer-title{
		color : white;
	 }
	 
	 .TLC-footer-link{
		color: orange;
	 }
	 
  .bg-dark{
  	background-color:black!important /* #343a40 */  /* on modifie le bg-dark pour qu'il soit plus sombre */
  	} 

	 
/*==================================================================================================
 Style et parfois couleur
==================================================================================================*/

  .TLC-logo{
    background-color: black; /* NB: doit être le même que .bg-dark*/
    color : orange;
    font-weight: 400;
    font-size : 1.5rem;
  }
  
	#TLC-map-adresse{
	  /* Version pour le champ de changement d'adresse sur la barre de navigation*/
	  /* ------------------------------------------------------------------------*/
	  text-align: center;
	
	  /* version pour le champ de changement d'adresse sur la carte */
	  /* -----------------------------------------------------------*/
	  /*
	  text-align: center;
	  vertical-align: middle;

	  font-family: Roboto, Arial, sans-serif;
	  font-size: 18px;
	  font-weight: 400;
	  
	  border-bottom-left-radius: 2px;
	  border-top-left-radius: 2px;
	  */
	}
	
	#TLC-champ-recherche-coach{
	  text-align: center;
	}

	.TLC-actions{
	  /* style recopié du style du filtre de booking.com*/
	  color: #000;
	  background: 0;
	  margin: 0;
	  padding: 8px 5px;
	  font-size: 16px;
	  line-height: 24px;
	  font-weight: 700;
	  font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
	}
	
	/* va bientôt être obsolète */
	.TLC-filtre-titre{
	  /* style recopié du style du filtre de booking.com*/
	  color: #000;
	  background: 0;
	  margin: 0;
	  padding: 8px 5px;
	  font-size: 16px;
	  line-height: 24px;
	  font-weight: 700;
	  font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
	}
	.TLC-filtre-nom{
	  /* style recopié du style du filtre de booking.com*/
	  margin: 0;
	  padding: 4px 0;
	  font-size: 14px;
	  line-height: 20px;
	  font-weight: 700;
	  font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
	  color: #383838;
	}
	.TLC-filtre-option{
	  /* style recopié du style du filtre de booking.com*/
	  padding-right: 30px;
	  display: block;
	  color: #000;
	  font-size: 13px;
	  line-height: 1.6em;
	  font-weight: 400;
	  cursor: pointer;
	  font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
	}

/*==================================================================================================
 Autre
==================================================================================================*/

/* tests pour le footer*/
.footer {
  /*position: fixed;*/
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: black;
  color: white;
  text-align: center;
}
